"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.unstringSnapshotSerializer = exports.default = void 0;
var _debug = _interopRequireDefault(require("debug"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const debug = (0, _debug.default)('babel-plugin-tester:serializer');
const unstringSnapshotSerializer = exports.unstringSnapshotSerializer = {
  test: value => {
    const isTriggered = typeof value === 'string';
    debug(`unstring serializer is triggered: ${isTriggered ? 'yes' : 'no'}`);
    return isTriggered;
  },
  print: value => {
    debug('original   value: %O', value);
    const serializedValue = String(value);
    debug('serialized value: %O', serializedValue);
    return serializedValue;
  }
};
var _default = exports.default = unstringSnapshotSerializer;